.TH XWBULLETIN 3X
.SH NAME
XwbulletinWidgetClass \- the X Widgets bulletin board manager
widget.
.SH SYNOPSIS
#include <X11/StringDefs.h>
.br
#include <X11/Intrinsic.h>
.br
#include <Xw/Xw.h>
.br
#include <Xw/BBoard.h>
.SH CLASSES
The bulletin board manager widget is built from the Core,
Composite, Constraint and XwManager classes.  Note that the
Constraint fields are not used in this widget and so are not
listed in the resource tables below.  Also, since the
Composite class contains no resources that the user can set,
there is no table for Composite class resources.
.PP
The widget class to use when creating a bulletin board is
XwbulletinWidgetClass.  The class name is BulletinBoard.
.SH DESCRIPTION
The bulletin board manager widget is a composite widget that
enforces no ordering on its children.  It is up to the
application to specify the x and y coordinates of the
children inserted into this widget, otherwise they will all
appear at (0,0).
.PP
This manager widget supports 3 different layout policies:
minimize (the default), maximize and ignore. When the layout
policy is set to minimize, the manager will create a box
that is just large enough to contain all of its children,
regardless of any provided width and height values.  The
ignore setting forces the manager to honor its given width
and height, it will not grow or shrink in response to the
addition, deletion or altering of its children.  When set to
the maximize setting, the BulletinBoard widget will ask for
additional space when it needs it, but will not give up
extra space.
.PP
The bulletin board manager also implements the X Widgets
keyboard interface.
.PP
No callbacks are defined for this manager.
.SH "NEW RESOURCES"
The bulletin board manager widget class does not define any
additional resources; all necessary resources are present in
its superclasses. The programmer should refer to the man
pages for the bulletin board's superclasses to determine the
.PP
resources that can be set and the defaults settings for
these resources.
.SH "INHERITED RESOURCES"
The following resources are inherited from the named
superclasses:
.IP "" 17
Core Resource Set \-\- CORE(3X)
.ti -22
Name                   Class                  Type             Default
.br
.ti -22
__________________________________________________________________________
.br
.ti -22
XtNancestorSensitive   XtCSenstitive          Boolean          TRUE
.br
.ti -22
XtNx                   XtCPosition            int              0
.br
.ti -22
XtNy                   XtCPosition            int              0
.br
.ti -22
XtNwidth XtCWidth int 10
.br
.ti -22
XtNheight XtCHeight int 10
.br
.ti -22
XtNdepth               XtCDepth               int              0
.br
.ti -22
XtNbackground          XtCBackground          Pixel            White
.br
.ti -22
XtNbackgroundPixmap    XtCPixmap              Pixmap           Unspecified
.br
.ti -22
XtNborderWidth         XtCBorderWidth         int              1
.br
.ti -22
XtNborderColor         XtCBorderColor         Pixel            Black
.br
.ti -22
XtNborderPixmap        XtCPixmap              Pixmap           Unspecified
.br
.ti -22
XtNsensitive           XtCSensitive           Boolean          TRUE
.br
.ti -22
XtNmappedWhenManaged   XtCMappedWhenManaged   Boolean          TRUE
.br
.ti -22
XtNdestroyCallback     XtCCallback            Pointer          NULL
.br
.ti -22
XtNtranslations        XtCTranslations        XtTranslations   NULL
.br
.IP "" 8
Manager Resource Set \-\- XWMANAGER(3X)
.ti -11
Name                Class               Type      Default
.br
.ti -11
____________________________________________________________
.br
.ti -11
XtNforeground       XtCForeground       Pixel     Black
.br
.ti -11
XtNbackgroundTile   XtCBackgroundTile   int       background
.br
.ti -11
XtNtraversalOn      XtCTraversalOn      Boolean   TRUE
.br
.ti -11
XtNlayout           XtCLayout           int       minimize
.br
.ti -11
XtNnextTop          XtCCallback         Pointer   NULL
.br
.SH "KEYBOARD TRAVERSAL"
If the XtNtraversalOn resource is set to TRUE at create time
or during a call to XtSetValues, the XwManager superclass
will automatically augment the bulletin board manager
widget's translations to support keyboard traversal.  Refer
to the XwManager man page for a complete description of
these translations.
.SH ORIGIN
Hewlett-Packard Company.
.SH "SEE ALSO"
CORE(3X), XWMANAGER(3X),
.br
Programming With The HP X Widgets,
.br
Programming With Xt Intrinsics,
.br
Programming With Xlib.
